=== debian/changelog ===
dunst (0.2.0-3) unstable; urgency=low

  * Ship org.knopwob.dunst.service so that dunst gets D-Bus-activated when a
    notification arrives. Thanks Jakob Haufe. (Closes: #683089)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 02 Aug 2012 00:07:31 +0200

dunst (0.2.0-2) unstable; urgency=low

  * Add Provides: notification-daemon so that you can use dunst to replace
    another notification-daemon. Thanks Andrew Hout. (Closes: #681732)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 16 Jul 2012 20:31:29 +0200

dunst (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #678445)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 27 Jun 2012 18:02:29 +0200
