=== debian/control ===
Source: dunst
Section: x11
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 8.0.0), libdbus-1-dev, libx11-dev, libxinerama-dev, libxft-dev, libxss-dev, libxdg-basedir-dev
Standards-Version: 3.9.3
Homepage: http://knopwob.github.com/dunst/
#Vcs-Git: git://git.debian.org/collab-maint/dunst.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dunst.git;a=summary

Package: dunst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Description: minimalistic notification daemon
 Dunst is a notification daemon for Linux with a minimalistic appearance: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.
