=== debian/watch ===
version=3
https://github.com/knopwob/dunst/tags .*/tarball/v(\d[\d\.]+)
