## dunst 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,18 @@
 
 include config.mk
 
-SRC = draw.c dunst.c ini.c
+SRC = x.c  \
+	  dunst.c \
+	  dbus.c  \
+	  utils.c \
+	  option_parser.c \
+	  settings.c \
+	  rules.c \
+	  menu.c \
+	  notification.c
 OBJ = ${SRC:.c=.o}
 
-all: doc options dunst
+all: doc options dunst service dunstify
 
 options:
 	@echo dunst build options:
@@ -18,21 +26,38 @@
 	@echo CC -c $<
 	@${CC} -c $< ${CFLAGS}
 
-${OBJ}: config.mk
+${OBJ}: config.h config.mk
 
-dunst: draw.o dunst.o ini.o
+config.h:
+	@echo creating $@ from config.def.h
+	@cp config.def.h $@
+
+dunst: ${OBJ}
 	@echo CC -o $@
-	@${CC} ${CFLAGS} -o $@ dunst.o draw.o ini.o ${LDFLAGS}
+	@${CC} ${CFLAGS} -o $@ ${OBJ} ${LDFLAGS}
+
+dunstify:
+	@${CC} -o $@ dunstify.c -std=c99 $(shell pkg-config --libs --cflags glib-2.0 libnotify) 
+
+debug: ${OBJ}
+	@echo CC -o $@
+	@${CC} ${CFLAGS} -O0 -o dunst ${OBJ} ${LDFLAGS}
 
 clean:
 	@echo cleaning
 	@rm -f ${OBJ}
 	@rm -f dunst
 	@rm -f dunst.1
+	@rm -f org.knopwob.dunst.service
+	@rm -f core
+	@rm -f dunstify
 
 doc: dunst.1
 dunst.1: README.pod
-	pod2man $< > $@
+	pod2man --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+
+service:
+	@sed "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
 
 install: all
 	@echo installing executables to ${DESTDIR}${PREFIX}/bin
@@ -45,11 +70,14 @@
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dunst.1
 	@mkdir -p "${DESTDIR}${PREFIX}/share/dunst"
 	@ cp -f dunstrc ${DESTDIR}${PREFIX}/share/dunst
+	@mkdir -p "${DESTDIR}${PREFIX}/share/dbus-1/services/"
+	@cp -vf org.knopwob.dunst.service "${DESTDIR}${PREFIX}/share/dbus-1/services/org.knopwob.dunst.service"
 
 uninstall:
 	@echo removing executables from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/dunst
 	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/dunst
+	@rm -f ${DESTDIR}${PREFIX}/share/dbus-1/service/org.knopwob.dunst.service
 
 .PHONY: all options clean dist install uninstall
