=== debian/control ===
Source: dunst
Section: x11
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libdbus-1-dev,
	       libx11-dev,
	       libxinerama-dev,
	       libxft-dev,
	       libxss-dev,
	       libxdg-basedir-dev,
	       libglib2.0-dev,
	       libpango1.0-dev,
	       libcairo2-dev,
	       libfreetype6-dev,
	       libnotify-dev,
	       dpkg-dev (>= 1.16.1.1)
Standards-Version: 3.9.4
Homepage: http://www.knopwob.org/dunst/
Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary

Package: dunst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Description: dmenu-ish notification-daemon
 Dunst is a highly configurable and lightweight notification-daemon: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.
