=== debian/changelog ===
dunst (1.1.0-2) unstable; urgency=medium

  * Install dunstrc to /etc/xdg/dunst/dunstrc (Closes: #765827)
  * Update debian/copyright: draw.* and ini.* have been removed in previous
    new upstream releases.
  * s/BSD/BSD-3-clause/ in debian/copyright
  * Bump Standards-Version to 3.9.6 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Nov 2014 09:59:00 +0100

dunst (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    Closes: #740840, #705607, #750596, #729690

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 31 Jul 2014 10:04:45 +0200
