=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 	       libxft-dev,
 	       libxss-dev,
 	       libxdg-basedir-dev,
-	       libglib2.0-dev,
+	       libglib2.0-dev (>= 2.36),
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libfreetype6-dev,
 	       libnotify-dev,
 	       dpkg-dev (>= 1.16.1.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.knopwob.org/dunst/
 Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary
