=== debian/changelog ===
dunst (1.2.0-2) unstable; urgency=medium

  * rm debian/org.knopwob.dunst.service to not shadow upstream (Closes: #878164)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 10 Oct 2017 22:28:17 +0200

dunst (1.2.0-1) unstable; urgency=medium

  * Update upstream URLs
  * New upstream version 1.2.0
  * Refresh patch
  * Update Build-Deps
  * Use a secure Vcs URI
  * switch to debhelper compat 10
  * Enable all hardening
  * Bump Standards-Version to 4.1.1 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 05 Oct 2017 21:30:51 +0200
