=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: x11
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 10),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
-	       libxft-dev,
 	       libxss-dev,
 	       libxdg-basedir-dev,
 	       libglib2.0-dev (>= 2.36),
 	       libpango1.0-dev,
 	       libcairo2-dev,
-	       libfreetype6-dev,
 	       libnotify-dev,
+	       libxrandr-dev,
+	       libgtk2.0-dev,
 	       dpkg-dev (>= 1.16.1.1)
-Standards-Version: 3.9.6
-Homepage: http://www.knopwob.org/dunst/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary
+Standards-Version: 4.1.1
+Homepage: https://dunst-project.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dunst.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dunst.git/
 
 Package: dunst
 Architecture: any
