=== debian/changelog ===
dunst (1.3.0-2) unstable; urgency=medium

  * Makefile: correct dependencies to fix race condition (Closes: #888760)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 29 Jan 2018 16:53:39 +0100

dunst (1.3.0-1) unstable; urgency=medium

  * Enable pristine-tar in debian/gbp.conf to reflect status quo
  * Update Vcs-* tags after moving to salsa
  * New upstream version 1.3.0
  * refresh patches
  * add build-dep on systemd so that dunst installs the service file
  * priority extra was replaced by priority optional

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 28 Jan 2018 09:50:17 +0100
