=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: dunst
 Section: x11
-Priority: extra
+Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 10),
                libdbus-1-dev,
@@ -14,11 +14,12 @@
 	       libnotify-dev,
 	       libxrandr-dev,
 	       libgtk2.0-dev,
-	       dpkg-dev (>= 1.16.1.1)
+	       dpkg-dev (>= 1.16.1.1),
+	       systemd
 Standards-Version: 4.1.1
 Homepage: https://dunst-project.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dunst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dunst.git/
+Vcs-Git: https://salsa.debian.org/debian/dunst.git
+Vcs-Browser: https://salsa.debian.org/debian/dunst
 
 Package: dunst
 Architecture: any
