=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
-	
 
 %:
 	dh $@
