## dunst 1.3.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.3.0 (2018-01-05)"
+VERSION := "1.3.2 (2018-05-06)"
 ifneq ($(wildcard ./.git/.),)
 VERSION := $(shell git describe --tags)
 endif
@@ -132,12 +132,12 @@
 install-doc:
 	install -Dm644 dunstrc ${DESTDIR}${PREFIX}/share/dunst/dunstrc
 
-install-service: service install-service-dbus
-install-service-dbus:
+install-service: install-service-dbus
+install-service-dbus: service-dbus
 	install -Dm644 org.knopwob.dunst.service ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service
 ifneq (0,${SYSTEMD})
 install-service: install-service-systemd
-install-service-systemd:
+install-service-systemd: service-systemd
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
