=== debian/changelog ===
dunst (1.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Michael Stapelberg ]
  * delete gbp.conf to get rid of pristine-tar
  * New upstream version 1.3.2
  * drop debian/patches/makefile.patch (applied upstream)
  * debian/patches/cross.patch: make pkg-config substitutable
  * debian/rules: supply $PKG_CONFIG for all targets
    (Closes: #910984)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 14 Oct 2018 20:16:04 +0200

dunst (1.3.0-3) unstable; urgency=medium

  [ Pascal De Vuyst ]
  * depend on default-dbus-session-bus | dbus-session-bus (Closes: #859453)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 05 Aug 2018 19:27:16 +0200
