=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+-include /usr/share/dpkg/buildtools.mk
+export PKG_CONFIG ?= pkg-config
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 
 %:
-	dh $@ 
+	dh $@
