=== debian/changelog ===
dunst (1.4.1-1) unstable; urgency=medium

  [ Francois Marier ]
  * Use sensible-browser instead of Firefox in /etc/xdg/dunst/dunstrc
      (Closes: #929456)

  [ Nikos Tsipinakis ]
  * Adopt package (Closes: #930310)
  * New upstream version 1.4.1
  * Remove cross.patch (applied upstream)
  * Refresh patches
  * d/control:
    - Drop build-dep on libxdg-basedir
    - Remove glib version constraint (minimum version no longer in archive)
    - Drop build-dep on gtk in favour of gdk-pixbuf
    - Add build-dep on dbus daemon and librsvg (required for the test suite)
  * Bump standards to 4.4.0
  * Install release notes as NEWS in docs
  * Bump debhelper compat to 12
    Also switch to using debhelper-compat rather than d/compat
  * d/copyright:
    - Update Source URL
    - Add myself to debian/ attributions
    - Add missing license for greatest.h

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Thu, 11 Jul 2019 17:57:24 +0300
