=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Build-Depends: debhelper-compat (= 12),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
 	       libxss-dev,
-	       libxdg-basedir-dev,
-	       libglib2.0-dev (>= 2.36),
+	       libglib2.0-dev,
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libnotify-dev,
 	       libxrandr-dev,
-	       libgtk2.0-dev,
+	       libgdk-pixbuf2.0-dev,
 	       dpkg-dev (>= 1.16.1.1),
-	       systemd
-Standards-Version: 4.1.1
+	       systemd,
+	       default-dbus-session-bus | dbus-session-bus,
+	       librsvg2-common
+Standards-Version: 4.4.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
 
 Package: dunst
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus
+Recommends: sensible-utils
 Provides: notification-daemon
 Description: dmenu-ish notification-daemon
  Dunst is a highly configurable and lightweight notification-daemon: The
