=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,12 @@
 -include /usr/share/dpkg/buildtools.mk
 export PKG_CONFIG ?= pkg-config
 
+%:
+	dh $@
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 
-%:
-	dh $@
+override_dh_installdocs:
+	install -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
+	dh_installdocs
