## dunst 1.5.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.4.1 (2019-07-03)"
+VERSION := "1.5.0 (2020-07-23)"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
@@ -53,7 +53,7 @@
 
 
 .PHONY: all debug
-all: doc dunst service
+all: doc dunst dunstify service
 
 debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
 debug: LDFLAGS  += ${LDFLAGS_DEBUG}
@@ -106,9 +106,15 @@
 	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}
 
 .PHONY: doc doc-doxygen
-doc: docs/dunst.1
+doc: docs/dunst.1 docs/dunstctl.1
+
+# Can't dedup this as we need to explicitly provide the name and title text to
+# pod2man :(
 docs/dunst.1: docs/dunst.pod
 	${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+docs/dunstctl.1: docs/dunstctl.pod
+	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@
+
 doc-doxygen:
 	${DOXYGEN} docs/internal/Doxyfile
 
@@ -137,6 +143,7 @@
 
 clean-doc:
 	rm -f docs/dunst.1
+	rm -f docs/dunstctl.1
 	rm -fr docs/internal/html
 	rm -fr docs/internal/coverage
 
@@ -151,15 +158,19 @@
 	${FIND} . -type f -name '*.gcov' -delete
 	${FIND} . -type f -name '*.gcda' -delete
 
-.PHONY: install install-dunst install-doc \
+.PHONY: install install-dunst install-dunstctl install-doc \
         install-service install-service-dbus install-service-systemd \
-        uninstall \
+        uninstall uninstall-dunstctl \
         uninstall-service uninstall-service-dbus uninstall-service-systemd
-install: install-dunst install-doc install-service
+install: install-dunst install-dunstctl install-doc install-service install-dunstify
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
 	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
+
+install-dunstctl: dunstctl
+	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl
 
 install-doc:
 	install -Dm644 dunstrc ${DESTDIR}${DATADIR}/dunst/dunstrc
@@ -173,10 +184,18 @@
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
 
-uninstall: uninstall-service
+install-dunstify: dunstify
+	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
+
+uninstall: uninstall-service uninstall-dunstctl
 	rm -f ${DESTDIR}${BINDIR}/dunst
+	rm -f ${DESTDIR}${BINDIR}/dunstify
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
 	rm -rf ${DESTDIR}${DATADIR}/dunst
+
+uninstall-dunstctl:
+	rm -f ${DESTDIR}${BINDIR}/dunstctl
 
 uninstall-service: uninstall-service-dbus
 uninstall-service-dbus:
