=== debian/changelog ===
dunst (1.5.0-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 06:58:37 -0500

dunst (1.5.0-1) unstable; urgency=medium

  [ Nikos Tsipinakis ]
  * New upstream version 1.5.0
  * d/control: Bump debhelper compat to 13 (no changes)
  * d/control: Bump standards version to 4.5.0 (no changes)
  * d/copyright: Update copyright years
  * d/patches: Refresh patches
  * d/patches: Fix typo in dunstify error message
  * d/control: Specify Rules-Requires-Root: no
  * d/copyright: Add upstream contact info
  * d/rules: Remove debhelper boilerplate
  * Remove leading slash in install file

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Mon, 26 Oct 2020 12:54:40 +0200
