=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: x11
 Priority: optional
 Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
 	       libxss-dev,
+	       libgdk-pixbuf2.0-dev,
 	       libglib2.0-dev,
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libnotify-dev,
 	       libxrandr-dev,
-	       libgdk-pixbuf2.0-dev,
 	       dpkg-dev (>= 1.16.1.1),
 	       systemd,
 	       default-dbus-session-bus | dbus-session-bus,
 	       librsvg2-common
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
+Rules-Requires-Root: no
 
 Package: dunst
 Architecture: any
