=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installdocs:
	install -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
	dh_installdocs
