## dunst 1.7.3+git20220126

=== Makefile ===
--- 
+++ 
@@ -3,33 +3,18 @@
 
 include config.mk
 
-VERSION := "1.5.0 (2020-07-23)"
+VERSION := "1.7.3-non-git"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
 
-ifeq (,${SYSTEMD})
-# Check for systemctl to avoid discrepancies on systems, where
-# systemd is installed, but systemd.pc is in another package
-systemctl := $(shell command -v ${SYSTEMCTL} >/dev/null && echo systemctl)
-ifeq (systemctl,${systemctl})
-SYSTEMD := 1
-else
-SYSTEMD := 0
-endif
-endif
-
-SERVICEDIR_DBUS ?= $(shell $(PKG_CONFIG) dbus-1 --variable=session_bus_services_dir)
-SERVICEDIR_DBUS := ${SERVICEDIR_DBUS}
-ifeq (,${SERVICEDIR_DBUS})
-$(error "Failed to query $(PKG_CONFIG) for package 'dbus-1'!")
-endif
-
-ifneq (0,${SYSTEMD})
-SERVICEDIR_SYSTEMD ?= $(shell $(PKG_CONFIG) systemd --variable=systemduserunitdir)
-SERVICEDIR_SYSTEMD := ${SERVICEDIR_SYSTEMD}
-ifeq (,${SERVICEDIR_SYSTEMD})
-$(error "Failed to query $(PKG_CONFIG) for package 'systemd'!")
+SYSTEMD ?= $(shell $(PKG_CONFIG) --silence-errors ${SYSTEMDAEMON} || echo 0)
+
+ifneq (0,${WAYLAND})
+DATA_DIR_WAYLAND_PROTOCOLS ?= $(shell $(PKG_CONFIG) wayland-protocols --variable=pkgdatadir)
+DATA_DIR_WAYLAND_PROTOCOLS := ${DATA_DIR_WAYLAND_PROTOCOLS}
+ifeq (,${DATA_DIR_WAYLAND_PROTOCOLS})
+$(warning "Failed to query $(PKG_CONFIG) for package 'wayland-protocols'!")
 endif
 endif
 
@@ -42,10 +27,19 @@
 endif
 endif
 
+SYSCONF_FORCE_NEW ?= $(shell [ -f ${DESTDIR}${SYSCONFFILE} ] || echo 1)
+
 CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
 LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}
 
+
+ifeq (0,${WAYLAND})
+# without wayland support
+SRC := $(sort $(shell ${FIND} src/ -not \( -path src/wayland -prune \) -name '*.c'))
+else
+# with Wayland support
 SRC := $(sort $(shell ${FIND} src/ -name '*.c'))
+endif
 OBJ := ${SRC:.c=.o}
 TEST_SRC := $(sort $(shell ${FIND} test/ -name '*.c'))
 TEST_OBJ := $(TEST_SRC:.c=.o)
@@ -75,7 +69,9 @@
 
 .PHONY: test test-valgrind test-coverage
 test: test/test clean-coverage-run
-	./test/test -v
+	# Make sure an error code is returned when the test fails
+	/usr/bin/env bash -c 'set -euo pipefail;\
+	./test/test -v | ./test/greenest.awk '
 
 test-valgrind: test/test
 	${VALGRIND} \
@@ -106,19 +102,21 @@
 	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}
 
 .PHONY: doc doc-doxygen
-doc: docs/dunst.1 docs/dunstctl.1
+doc: docs/dunst.1 docs/dunst.5 docs/dunstctl.1
 
 # Can't dedup this as we need to explicitly provide the name and title text to
 # pod2man :(
-docs/dunst.1: docs/dunst.pod
-	${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+docs/dunst.1: docs/dunst.1.pod
+	${SED} "s|##SYSCONFDIR##|${SYSCONFDIR}|" $< | ${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} > $@
+docs/dunst.5: docs/dunst.5.pod
+	${POD2MAN} --name=dunst -c "Dunst Reference" --section=5 --release=${VERSION} $< > $@
 docs/dunstctl.1: docs/dunstctl.pod
 	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@
 
 doc-doxygen:
 	${DOXYGEN} docs/internal/Doxyfile
 
-.PHONY: service service-dbus service-systemd
+.PHONY: service service-dbus service-systemd wayland-protocols
 service: service-dbus
 service-dbus:
 	@${SED} "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
@@ -128,7 +126,23 @@
 	@${SED} "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service
 endif
 
-.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run
+ifneq (0,${WAYLAND})
+wayland-protocols: src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml
+	# TODO: write this shorter
+	mkdir -p src/wayland/protocols
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell.h
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell-client-header.h
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1-client-header.h
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1.h
+	wayland-scanner client-header src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1-client-header.h
+	wayland-scanner private-code src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1.h
+	wayland-scanner client-header src/wayland/protocols/idle.xml src/wayland/protocols/idle-client-header.h
+	wayland-scanner private-code src/wayland/protocols/idle.xml src/wayland/protocols/idle.h
+	wayland-scanner client-header src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1-client-header.h
+	wayland-scanner private-code src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.h
+endif
+
+.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run clean-wayland-protocols
 clean: clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run
 
 clean-dunst:
@@ -143,6 +157,7 @@
 
 clean-doc:
 	rm -f docs/dunst.1
+	rm -f docs/dunst.5
 	rm -f docs/dunstctl.1
 	rm -fr docs/internal/html
 	rm -fr docs/internal/coverage
@@ -158,22 +173,29 @@
 	${FIND} . -type f -name '*.gcov' -delete
 	${FIND} . -type f -name '*.gcda' -delete
 
-.PHONY: install install-dunst install-dunstctl install-doc \
+clean-wayland-protocols:
+	rm -f src/wayland/protocols/*.h
+
+.PHONY: install install-dunst install-dunstctl install-dunstrc \
         install-service install-service-dbus install-service-systemd \
-        uninstall uninstall-dunstctl \
-        uninstall-service uninstall-service-dbus uninstall-service-systemd
-install: install-dunst install-dunstctl install-doc install-service install-dunstify
+        uninstall uninstall-dunstctl uninstall-dunstrc \
+        uninstall-service uninstall-service-dbus uninstall-service-systemd \
+	uninstall-keepconf uninstall-purge
+install: install-dunst install-dunstctl install-dunstrc install-service install-dunstify
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
 	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	install -Dm644 docs/dunst.5 ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
 
 install-dunstctl: dunstctl
 	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl
 
-install-doc:
-	install -Dm644 dunstrc ${DESTDIR}${DATADIR}/dunst/dunstrc
+ifeq (1,${SYSCONF_FORCE_NEW})
+install-dunstrc:
+	install -Dm644 dunstrc ${DESTDIR}${SYSCONFFILE}
+endif
 
 install-service: install-service-dbus
 install-service-dbus: service-dbus
@@ -187,12 +209,18 @@
 install-dunstify: dunstify
 	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
 
-uninstall: uninstall-service uninstall-dunstctl
+uninstall: uninstall-keepconf
+uninstall-purge: uninstall-keepconf uninstall-dunstrc
+uninstall-keepconf: uninstall-service uninstall-dunstctl
 	rm -f ${DESTDIR}${BINDIR}/dunst
 	rm -f ${DESTDIR}${BINDIR}/dunstify
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	rm -f ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
-	rm -rf ${DESTDIR}${DATADIR}/dunst
+
+uninstall-dunstrc:
+	rm -f ${DESTDIR}${SYSCONFFILE}
+	rmdir --ignore-fail-on-non-empty ${DESTDIR}${SYSCONFDIR}/dunst
 
 uninstall-dunstctl:
 	rm -f ${DESTDIR}${BINDIR}/dunstctl
