=== debian/changelog ===
dunst (1.7.3+git20220126-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master from 20220126 for MX-21.
  * Swap 001 patch to just disable building with wayland. 

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 27 Jan 2022 14:21:22 -0500

dunst (1.7.3+git20220116-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Create 001_disables-for-mx.patch to force no wayland and systemd.
  * Create 002_disable-misc-test-for-mx.patch because it fails build. 

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 19 Jan 2022 12:59:07 -0500
