=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
-	       libx11-dev,
-	       libxinerama-dev,
-	       libxss-dev,
-	       libgdk-pixbuf2.0-dev,
-	       libglib2.0-dev,
-	       libpango1.0-dev,
-	       libcairo2-dev,
-	       libnotify-dev,
-	       libxrandr-dev,
-	       dpkg-dev (>= 1.16.1.1),
-	       systemd,
-	       default-dbus-session-bus | dbus-session-bus,
-	       librsvg2-common
+               libx11-dev,
+               libxinerama-dev,
+               libxss-dev,
+               libgdk-pixbuf2.0-dev,
+               libglib2.0-dev,
+               libpango1.0-dev,
+               libcairo2-dev,
+               libnotify-dev,
+               libxrandr-dev,
+               dpkg-dev (>= 1.16.1.1),
+               systemd,
+               default-dbus-session-bus | dbus-session-bus,
+               librsvg2-common,
+               pkg-config,
+               libxdg-basedir-dev,
+               libxft-dev
 Standards-Version: 4.5.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
